Bug 222859 - continue to port and maybe package www/firefox 56.x for some time after 57 is released
Summary: continue to port and maybe package www/firefox 56.x for some time after 57 is...
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: gecko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-08 11:57 UTC by Graham Perrin
Modified: 2017-12-30 11:26 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gecko)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Perrin 2017-10-08 11:57:58 UTC
Expect: 

* <http://www.freshports.org/www/firefox> to step from 56.x to 57.0; and 
* <http://www.freshports.org/www/firefox-esr> to remain at 52.x 

– and remain at 52.x for a limited period as defined at 
<https://wiki.mozilla.org/RapidRelease/Calendar#Future_branch_dates>

Issue
=====

The limitation to 52.x will be troublesome for users whose workflows require, or will require: 

* a greater version of Firefox
* but not 57.

Cross reference
===============

1406737 - ESR: extended support for a Firefox 56.x release
<https://bugzilla.mozilla.org/show_bug.cgi?id=1406737>

– expect more rationale under that Mozilla bug.

Thanks
Comment 1 Graham Perrin 2017-10-10 01:01:07 UTC
Mozilla bug 1406737 for ESR is RESOLVED WONTFIX, so my hopes shift to the FreeBSD side of things. 

From 1406737: 

> tl;dr I expect to use 56.x until the August 2018 release of 62.

If you'd like a summary rationale here, just say. 

(Rationales are _very_ widely spread across Mozilla areas.)
Comment 2 Graham Perrin 2017-10-11 23:12:15 UTC
To Jan and others with a possible interest: I never maintained a port (I'm not a developer) but for Firefox 56.x, I'm willing to learn. 

To complement what's documented – <https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/> and so on – I'll almost certainly need occasional hand-holding in IRC. 

Just a thought …
Comment 3 commit-hook freebsd_committer 2017-11-11 20:43:12 UTC
A commit references this bug:

Author: jbeich
Date: Sat Nov 11 20:42:35 UTC 2017
New revision: 454000
URL: https://svnweb.freebsd.org/changeset/ports/454000

Log:
  www/firefox: backport some FF57+ fixes

  PR:		222859
  Security:	f78eac48-c3d1-4666-8de5-63ceea25a578
  MFH:		2017Q4

Changes:
  head/www/firefox/Makefile
  head/www/firefox/files/patch-bug1261175
  head/www/firefox/files/patch-bug1343147
  head/www/firefox/files/patch-bug1355576
  head/www/firefox/files/patch-bug1369561
  head/www/firefox/files/patch-bug1375146
  head/www/firefox/files/patch-bug1387799
  head/www/firefox/files/patch-bug1394265
  head/www/firefox/files/patch-bug1394530
  head/www/firefox/files/patch-bug1395138
  head/www/firefox/files/patch-bug1397811
  head/www/firefox/files/patch-bug1400003
  head/www/firefox/files/patch-bug1400554
  head/www/firefox/files/patch-bug1401804
  head/www/firefox/files/patch-bug1402442
  head/www/firefox/files/patch-bug1404324
  head/www/firefox/files/patch-bug1404636
  head/www/firefox/files/patch-bug1404910
  head/www/firefox/files/patch-bug1406398
  head/www/firefox/files/patch-bug1406750
  head/www/firefox/files/patch-bug1407375
  head/www/firefox/files/patch-bug1407740
  head/www/firefox/files/patch-bug1407751
  head/www/firefox/files/patch-bug1408005
  head/www/firefox/files/patch-bug1408412
  head/www/firefox/files/patch-bug1408990
  head/www/firefox/files/patch-bug1411458
  head/www/firefox/files/patch-bug1412252
Comment 4 commit-hook freebsd_committer 2017-11-14 19:05:02 UTC
A commit references this bug:

Author: jbeich
Date: Tue Nov 14 19:04:07 UTC 2017
New revision: 454192
URL: https://svnweb.freebsd.org/changeset/ports/454192

Log:
  www/firefox: backport more FF57+ fixes

  No time to track down upstream commits for

  https://bugzilla.mozilla.org/buglist.cgi?bug_id=1384615,1386490,1393840,1403716

  PR:		222859
  Security:	f78eac48-c3d1-4666-8de5-63ceea25a578
  MFH:		2017Q4 (r454000 followup, FF57 alternative until 2018Q1)

Changes:
  head/www/firefox/Makefile
  head/www/firefox/files/patch-a-bug1399540
  head/www/firefox/files/patch-bug1325923
  head/www/firefox/files/patch-bug1365894
  head/www/firefox/files/patch-bug1366420
  head/www/firefox/files/patch-bug1370497
  head/www/firefox/files/patch-bug1377587
  head/www/firefox/files/patch-bug1381761
  head/www/firefox/files/patch-bug1383019
  head/www/firefox/files/patch-bug1384121
  head/www/firefox/files/patch-bug1387811
  head/www/firefox/files/patch-bug1387845
  head/www/firefox/files/patch-bug1394031
  head/www/firefox/files/patch-bug1399922
  head/www/firefox/files/patch-bug1401339
  head/www/firefox/files/patch-bug1402363
  head/www/firefox/files/patch-bug1402876
  head/www/firefox/files/patch-bug1402896
  head/www/firefox/files/patch-bug1402966
  head/www/firefox/files/patch-bug1403646
  head/www/firefox/files/patch-bug1406154
  head/www/firefox/files/patch-bug1407032
  head/www/firefox/files/patch-bug1408782
Comment 5 Jan Beich freebsd_committer 2017-11-14 19:07:02 UTC
Backporting FF57 security fixes was a bit time-consuming, so I'm not gonna repeat that. To stay on 56.* for whatever reason try

  $ cd /usr/ports
  $ svn copy www/firefox@454192 www/firefox56
  $ echo 'PKGNAMESUFFIX=56' >>www/firefox56/Makefile.local
  $ pkg set -n firefox:firefox56
  $ pkg set -o www/firefox:www/firefox56

Note, Mk/bsd.gecko.mk will probably support Firefox < 59 until www/firefox-esr switches to 59.1.0
Comment 6 commit-hook freebsd_committer 2017-11-27 13:26:00 UTC
A commit references this bug:

Author: jbeich
Date: Mon Nov 27 13:25:13 UTC 2017
New revision: 454949
URL: https://svnweb.freebsd.org/changeset/ports/454949

Log:
  www/waterfox: add new (demo) port

  PR:		222859

Changes:
  head/www/Makefile
  head/www/waterfox/
  head/www/waterfox/Makefile
  head/www/waterfox/Makefile.options
  head/www/waterfox/distinfo
  head/www/waterfox/files/firefox.desktop.in
  head/www/waterfox/files/patch-a-bug1399540
  head/www/waterfox/files/patch-bug1261175
  head/www/waterfox/files/patch-bug1325923
  head/www/waterfox/files/patch-bug1365894
  head/www/waterfox/files/patch-bug1366420
  head/www/waterfox/files/patch-bug1369561
  head/www/waterfox/files/patch-bug1370497
  head/www/waterfox/files/patch-bug1375146
  head/www/waterfox/files/patch-bug1383019
  head/www/waterfox/files/patch-bug1387799
  head/www/waterfox/files/patch-bug1387845
  head/www/waterfox/files/patch-bug1394031
  head/www/waterfox/files/patch-bug1394265
  head/www/waterfox/files/patch-bug1394530
  head/www/waterfox/files/patch-bug1395138
  head/www/waterfox/files/patch-bug1397811
  head/www/waterfox/files/patch-bug1399922
  head/www/waterfox/files/patch-bug1400003
  head/www/waterfox/files/patch-bug1400554
  head/www/waterfox/files/patch-bug1401339
  head/www/waterfox/files/patch-bug1401804
  head/www/waterfox/files/patch-bug1402363
  head/www/waterfox/files/patch-bug1402876
  head/www/waterfox/files/patch-bug1402896
  head/www/waterfox/files/patch-bug1403646
  head/www/waterfox/files/patch-bug1404636
  head/www/waterfox/files/patch-bug1406154
  head/www/waterfox/files/patch-bug1406398
  head/www/waterfox/files/patch-bug1406750
  head/www/waterfox/files/patch-bug1407032
  head/www/waterfox/files/patch-bug1407375
  head/www/waterfox/files/patch-bug1407740
  head/www/waterfox/files/patch-bug1407751
  head/www/waterfox/files/patch-bug1408005
  head/www/waterfox/files/patch-bug1408412
  head/www/waterfox/files/patch-bug1408782
  head/www/waterfox/files/patch-bug1411458
  head/www/waterfox/files/patch-bug1412252
  head/www/waterfox/files/pkg-deinstall.in
  head/www/waterfox/files/pkg-install.in
  head/www/waterfox/pkg-descr
  head/www/waterfox/pkg-message
Comment 7 commit-hook freebsd_committer 2017-11-27 18:01:19 UTC
A commit references this bug:

Author: jbeich
Date: Mon Nov 27 18:00:25 UTC 2017
New revision: 454980
URL: https://svnweb.freebsd.org/changeset/ports/454980

Log:
  MFH: r454000 r454192

  www/firefox: backport FF57+ fixes

  No time to track down upstream commits for

  https://bugzilla.mozilla.org/buglist.cgi?bug_id=1384615,1386490,1393840,1403716

  PR:		222859
  Security:	f78eac48-c3d1-4666-8de5-63ceea25a578
  Approved by:	ports-secteam (feld, swills)

Changes:
_U  branches/2017Q4/
  branches/2017Q4/www/firefox/Makefile
  branches/2017Q4/www/firefox/files/patch-a-bug1399540
  branches/2017Q4/www/firefox/files/patch-bug1261175
  branches/2017Q4/www/firefox/files/patch-bug1325923
  branches/2017Q4/www/firefox/files/patch-bug1343147
  branches/2017Q4/www/firefox/files/patch-bug1355576
  branches/2017Q4/www/firefox/files/patch-bug1365894
  branches/2017Q4/www/firefox/files/patch-bug1366420
  branches/2017Q4/www/firefox/files/patch-bug1369561
  branches/2017Q4/www/firefox/files/patch-bug1370497
  branches/2017Q4/www/firefox/files/patch-bug1375146
  branches/2017Q4/www/firefox/files/patch-bug1377587
  branches/2017Q4/www/firefox/files/patch-bug1381761
  branches/2017Q4/www/firefox/files/patch-bug1383019
  branches/2017Q4/www/firefox/files/patch-bug1384121
  branches/2017Q4/www/firefox/files/patch-bug1387799
  branches/2017Q4/www/firefox/files/patch-bug1387811
  branches/2017Q4/www/firefox/files/patch-bug1387845
  branches/2017Q4/www/firefox/files/patch-bug1394031
  branches/2017Q4/www/firefox/files/patch-bug1394265
  branches/2017Q4/www/firefox/files/patch-bug1394530
  branches/2017Q4/www/firefox/files/patch-bug1395138
  branches/2017Q4/www/firefox/files/patch-bug1397811
  branches/2017Q4/www/firefox/files/patch-bug1399922
  branches/2017Q4/www/firefox/files/patch-bug1400003
  branches/2017Q4/www/firefox/files/patch-bug1400554
  branches/2017Q4/www/firefox/files/patch-bug1401339
  branches/2017Q4/www/firefox/files/patch-bug1401804
  branches/2017Q4/www/firefox/files/patch-bug1402363
  branches/2017Q4/www/firefox/files/patch-bug1402442
  branches/2017Q4/www/firefox/files/patch-bug1402876
  branches/2017Q4/www/firefox/files/patch-bug1402896
  branches/2017Q4/www/firefox/files/patch-bug1402966
  branches/2017Q4/www/firefox/files/patch-bug1403646
  branches/2017Q4/www/firefox/files/patch-bug1404324
  branches/2017Q4/www/firefox/files/patch-bug1404636
  branches/2017Q4/www/firefox/files/patch-bug1404910
  branches/2017Q4/www/firefox/files/patch-bug1406154
  branches/2017Q4/www/firefox/files/patch-bug1406398
  branches/2017Q4/www/firefox/files/patch-bug1406750
  branches/2017Q4/www/firefox/files/patch-bug1407032
  branches/2017Q4/www/firefox/files/patch-bug1407375
  branches/2017Q4/www/firefox/files/patch-bug1407740
  branches/2017Q4/www/firefox/files/patch-bug1407751
  branches/2017Q4/www/firefox/files/patch-bug1408005
  branches/2017Q4/www/firefox/files/patch-bug1408412
  branches/2017Q4/www/firefox/files/patch-bug1408782
  branches/2017Q4/www/firefox/files/patch-bug1408990
  branches/2017Q4/www/firefox/files/patch-bug1411458
  branches/2017Q4/www/firefox/files/patch-bug1412252
Comment 8 Graham Perrin 2017-11-30 00:34:30 UTC
Very interesting, Mr. Bond.
Comment 9 commit-hook freebsd_committer 2017-12-01 11:19:48 UTC
A commit references this bug:

Author: jbeich
Date: Fri Dec  1 11:19:28 UTC 2017
New revision: 455272
URL: https://svnweb.freebsd.org/changeset/ports/455272

Log:
  www/firefox: backport more FF57+ fixes (direct commit)

  PR:		222859
  Security:	Mozilla bug 1410106/1420001
  Approved by:	ports-secteam blanket

Changes:
  branches/2017Q4/www/firefox/Makefile
  branches/2017Q4/www/firefox/files/patch-bug1405364
  branches/2017Q4/www/firefox/files/patch-bug1410106
  branches/2017Q4/www/firefox/files/patch-bug1420001
Comment 10 commit-hook freebsd_committer 2017-12-26 22:03:56 UTC
A commit references this bug:

Author: jbeich
Date: Tue Dec 26 22:03:19 UTC 2017
New revision: 457318
URL: https://svnweb.freebsd.org/changeset/ports/457318

Log:
  MFH: r457317

  www/firefox: apply some FF58 fixes

  PR:		222859
  Security:	a891c5b4-3d7a-4de9-9c71-eef3fd698c77
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2017Q4/
  branches/2017Q4/www/firefox/Makefile
  branches/2017Q4/www/firefox/files/patch-bug1224396
  branches/2017Q4/www/firefox/files/patch-bug1399400
  branches/2017Q4/www/firefox/files/patch-bug1399520
  branches/2017Q4/www/firefox/files/patch-bug1408276
  branches/2017Q4/www/firefox/files/patch-bug1409951
  branches/2017Q4/www/firefox/files/patch-bug1410134
  branches/2017Q4/www/firefox/files/patch-bug1412145
  branches/2017Q4/www/firefox/files/patch-bug1413741
  branches/2017Q4/www/firefox/files/patch-bug1414425
  branches/2017Q4/www/firefox/files/patch-bug1414452
  branches/2017Q4/www/firefox/files/patch-bug1414945
  branches/2017Q4/www/firefox/files/patch-bug1415441
  branches/2017Q4/www/firefox/files/patch-bug1415582
  branches/2017Q4/www/firefox/files/patch-bug1415598
  branches/2017Q4/www/firefox/files/patch-bug1417797
  branches/2017Q4/www/firefox/files/patch-bug1418447
  branches/2017Q4/www/firefox/files/patch-bug1418854
  branches/2017Q4/www/firefox/files/patch-bug1419363
  branches/2017Q4/www/firefox/files/patch-bug1422389
  branches/2017Q4/www/firefox/files/patch-bug1423086
  branches/2017Q4/www/firefox/files/patch-bug1423159
  branches/2017Q4/www/firefox/files/patch-bug1424373
  branches/2017Q4/www/firefox/files/patch-z-bug1382366
Comment 11 Graham Perrin 2017-12-30 11:26:25 UTC
If you like, close this bug – thanks. 

(I have used www/waterfox long enough to treat it as an _excellent_ alternative to Firefox 56.0.2.)